## YAML Template.
---
package:
  name: auth2-client
  description: Auth2 client plugin
services:
  route:
    routes:
      - path: auth2/account?:-tab
        view: account
        authorization: true
        reentrant: false
      - path: account?:-tab
        view: account
        authorization: true
        reentrant: false
      - path: auth2/signedout
        view: signedout
        authorization: false
        reentrant: false
      - path: auth2/login/continue?:-nextrequest&:-in-process-login-token
        view: loginContinue
        authorization: false
      - path: login?:-nextrequest&:-source
        view: login
        authorization: false
        reentrant: false
      - path: auth2/link/continue?:-in-process-link-token
        view: linkContinue
        authorization: false
      - path: signup/:-step&:-nextrequest
        view: signup
        authorization: false
        reentrant: false
  menu:
    items:
      - name: account
        path: auth2/account
        label: Account
        icon: drivers-license
  coreServices:
    dependencies:
      auth2:
        version:
          minimum: 0.2.5
        providers: ["Google", "Globus", "OrcID"]
      userProfile:
        version:
          minimum: 0.2.0
